# Class SearchResult | EchoHub Documentation

# Class SearchResult

Namespace
  EchoHub.Client.UI.Dialogs

Assembly
  EchoHub.Client.dll

    public record SearchResult : IEquatable<SearchResult>

Inheritance
  object
  SearchResult

Implements
  IEquatable<SearchResult>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### SearchResult(SearchResult)

    protected SearchResult(SearchResult original)

#### Parameters

`original` SearchResult

### SearchResult(SearchResultType, string, string)

    public SearchResult(SearchResultType Type, string Key, string Label)

#### Parameters

`Type` SearchResultType
`Key` string
`Label` string

## Properties

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### Key

    public string Key { get; init; }

#### Property Value

string

### Label

    public string Label { get; init; }

#### Property Value

string

### Type

    public SearchResultType Type { get; init; }

#### Property Value

SearchResultType

## Methods

### Deconstruct(out SearchResultType, out string, out string)

    public void Deconstruct(out SearchResultType Type, out string Key, out string Label)

#### Parameters

`Type` SearchResultType
`Key` string
`Label` string

### Equals(SearchResult?)

    public virtual bool Equals(SearchResult? other)

#### Parameters

`other` SearchResult

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(SearchResult?, SearchResult?)

    public static bool operator ==(SearchResult? left, SearchResult? right)

#### Parameters

`left` SearchResult
`right` SearchResult

#### Returns

bool

### operator !=(SearchResult?, SearchResult?)

    public static bool operator !=(SearchResult? left, SearchResult? right)

#### Parameters

`left` SearchResult
`right` SearchResult

#### Returns

bool